### Struct

# Vte Regex

#### Description

    struct VteRegex {
      /* No available fields */
    }

No description available.

#### Constructors

###### vte_regex_new_for_match

Compiles `pattern` into a regex for use as a match regex with `vte_terminal_match_add_regex()` or vte_terminal_event_check_regex_simple().

###### vte_regex_new_for_match_full

Compiles `pattern` into a regex for use as a match regex with `vte_terminal_match_add_regex()` or vte_terminal_event_check_regex_simple().

since: 0.76

###### vte_regex_new_for_search

Compiles `pattern` into a regex for use as a search regex with vte_terminal_search_set_regex().

###### vte_regex_new_for_search_full

Compiles `pattern` into a regex for use as a search regex with vte_terminal_search_set_regex().

since: 0.76

#### Instance methods

###### vte_regex_jit

If the platform supports JITing, JIT compiles `regex`.

###### vte_regex_ref

Increases the reference count of `regex` by one.

###### vte_regex_substitute

See man:pcre2api(3) and man:pcre2_substitute(3) for more information.

since: 0.56

###### vte_regex_unref

Decreases the reference count of `regex` by one, and frees `regex` if the refcount reaches zero.